MagicMirror² v2.11.0 is available! For more information about this release, check out this topic.
READ THE CHANGELOG BEFORE UPDATING!

MMM-Loxone



  • @idoodler thanks for the help als always, looking forward for the module working again, my wife already complained that she is missing it now that it is not there (first she complained that it is there) 😃


  • Module Developer

    @bobbythemoh Thanks for informing me about that issue. I am currently working on something else, so I had to ditch my current installation.

    Schönen Abend noch;)


  • Module Developer

    @bobbythemoh Hi, I have good news for you, I just pushed a fix. Please update MMM-Loxone for it to work again. I also made it a bit faster, I hope your wife will be happy again😄

    Btw. This issue semes to be related to one of the latest Raspbian updates, I assume its because the new Raspberry Pi has two HDMI outputs, so there may be some changes to the HDMI related code…



  • @idoodler Hey, i just updated. works perfectly again. Thanks a lot.



  • Hello,

    how can I change the font size?
    The Font size of the displayed observingUuids…



  • @idoodler I have to ask for help again:
    Just updated my Magic Mirror with

    cd MagicMirror
    git pull
    npm install
    

    Its Version is 2.9.0.
    Now i am not able to start the Module any more…
    pm2 Log gives:

    0|MagicMir | Connecting socket for: MMM-Loxone
    0|MagicMir | Connecting socket for: calendar
    0|MagicMir | Starting node helper for: calendar
    0|MagicMir | Connecting socket for: MMM-RPI-LED
    0|MagicMir | Starting module helper: MMM-RPI-LED
    0|MagicMir | Connecting socket for: MMM-MoonPhase
    0|MagicMir | Starting module helper: MMM-MoonPhase
    0|MagicMir | Connecting socket for: newsfeed
    0|MagicMir | Starting module: newsfeed
    0|MagicMir | Sockets connected & modules started ...
    0|MagicMir | Launching application.
    0|MagicMir | ATTENTION: default value of option force_s3tc_enable overridden by environment.
    0|MagicMir | Create new calendar fetcher for url: http://localhost:8080/modules/calendars/ - Interval: 300000
    0|MagicMir | Create new news fetcher for url: http://derStandard.at/?page=rss&ressort=Seite1 - Interval: 300000
    0|MagicMir | Create new news fetcher for url: https://rss.orf.at/news.xml - Interval: 300000
    0|MagicMir | Opening Socket to your Miniserver
    0|MagicMir | (node:1367) UnhandledPromiseRejectionWarning: RangeError [ERR_OUT_OF_RANGE]: The value of "value" is out of range. It must be >= 0 and  (/home/pi/MagicMirror/modules/MMM-Loxone/node_modules/websocket/lib/W3CWebSocket.js:205:19)
    0|MagicMir | WebSocket: ERROR while parsing string: 'undefined'
    0|MagicMir | SyntaxError: Unexpected token u in JSON at position 0
    0|MagicMir |     at JSON.parse ()
    0|MagicMir |     at WebSocket._handleResponse (/home/pi/MagicMirror/modules/MMM-Loxone/node_modules/lxcommunicator/modules/WebSocket.js:810:29)
    0|MagicMir |     at WebSocket._textMessageHandler (/home/pi/MagicMirror/modules/MMM-Loxone/node_modules/lxcommunicator/modules/WebSocket.js:753:18)
    0|MagicMir |     at W3CWebSocket.onmessage (/home/pi/MagicMirror/modules/MMM-Loxone/node_modules/lxcommunicator/vendor/WebSocketWrapper.js:99:56)
    0|MagicMir |     at W3CWebSocket._dispatchEvent [as dispatchEvent] (/home/pi/MagicMirror/modules/MMM-Loxone/node_modules/yaeti/lib/EventTarget.js:107:17)
    0|MagicMir |     at W3CWebSocket.onMessage (/home/pi/MagicMirror/modules/MMM-Loxone/node_modules/websocket/lib/W3CWebSocket.js:234:14)
    0|MagicMir |     at WebSocketConnection. (/home/pi/MagicMirror/modules/MMM-Loxone/node_modules/websocket/lib/W3CWebSocket.js:205:19)
    0|MagicMir |     at WebSocketConnection.emit (events.js:182:13)
    0|MagicMir |     at WebSocketConnection.processFrame (/home/pi/MagicMirror/modules/MMM-Loxone/node_modules/websocket/lib/WebSocketConnection.js:552:26)
    0|MagicMir |     at /home/pi/MagicMirror/modules/MMM-Loxone/node_modules/websocket/lib/WebSocketConnection.js:321:40
    0|MagicMir | WebSocket:  socket failed! WS Close Code: 1006
    0|MagicMir | { errorCode: 418 }
    

  • Module Developer

    @bobbythemoh Hi, did you make any changes to your Loxone installation?

    If not please try to reinstall the MMM-Loxone project.



  • Hey if you mean to the Mini-Server Software, than no. It was working perfectly before the update. Ok, ill try reinstalling.



  • Here is what I did:

    cd MagicMirror/Modules
    rm -rf MMM-Loxone
    cd ~/MagicMirror/modules
    git clone https://github.com/idoodler/MMM-Loxone
    cd ~/MagicMirror/modules/MMM-Loxone
    npm install
    

    npm install gives:

    pi@MagicMirror:~/MagicMirror/modules/MMM-Loxone $ npm install
    npm WARN deprecated time-grunt@2.0.0: Deprecated because Grunt is practically unmaintained. Move on to something bett er. This package will continue to work with Grunt v1, but it will not receive any updates.
    
    > websocket@1.0.29 install /home/pi/MagicMirror/modules/MMM-Loxone/node_modules/websocket
    > (node-gyp rebuild 2> builderror.log) || (exit 0)
    
    make: Entering directory '/home/pi/MagicMirror/modules/MMM-Loxone/node_modules/websocket/build'
      CXX(target) Release/obj.target/bufferutil/src/bufferutil.o
      SOLINK_MODULE(target) Release/obj.target/bufferutil.node
      COPY Release/bufferutil.node
      CXX(target) Release/obj.target/validation/src/validation.o
      SOLINK_MODULE(target) Release/obj.target/validation.node
      COPY Release/validation.node
    make: Leaving directory '/home/pi/MagicMirror/modules/MMM-Loxone/node_modules/websocket/build'
    
    > lxcommunicator@1.0.1 postinstall /home/pi/MagicMirror/modules/MMM-Loxone/node_modules/lxcommunicator
    > node ./browserify.js
    
    Creating browserified module...
    Creating debug module
    Creating release module
    Saving debug module
    Saving release module
    LxCommunicator~Browser.js and LxCommunicator~Browser.min.js has been created!
    npm WARN grunt-stylelint@0.11.1 requires a peer of stylelint@^10.0.0 but none is installed. You must install peer dep endencies yourself.
    npm WARN stylelint-config-standard@19.0.0 requires a peer of stylelint@>=10.1.0 but none is installed. You must insta ll peer dependencies yourself.
    npm WARN stylelint-config-recommended@3.0.0 requires a peer of stylelint@>=10.1.0 but none is installed. You must ins tall peer dependencies yourself.
    npm WARN optional SKIPPING OPTIONAL DEPENDENCY: fsevents@1.2.9 (node_modules/fsevents):
    npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for fsevents@1.2.9: wanted {"os":"darwin","arch":" any"} (current: {"os":"linux","arch":"arm"})
    
    added 650 packages from 453 contributors and audited 8175 packages in 323.529s
    found 1 moderate severity vulnerability
      run `npm audit fix` to fix them, or `npm audit` for details
    
    

    Then I did a reboot



  • Well there is some weird stuff going on… config file is there…
    Guess thats not related to MMM-Loxone… i think ill do a new installation… or do you have a better idea?

    0|MagicMir | No helper found for module: clock.
    0|MagicMir | WARNING! Could not load config file. Starting with default configuration. Error found: Error: Cannot find module 'node_helper'
    0|MagicMir | Loading module helpers ...
    0|MagicMir | No helper found for module: alert.
    0|MagicMir | No helper found for module: clock.
    0|MagicMir | App threw an error during load
    0|MagicMir | Error: Cannot find module 'node_helper'
    0|MagicMir |     at Module._resolveFilename (internal/modules/cjs/loader.js:602:15)
    0|MagicMir |     at Function.Module._resolveFilename (/home/pi/MagicMirror/node_modules/electron/dist/resources/electron.asar/common/reset-search-paths.js:35:12)
    0|MagicMir |     at Function.Module._load (internal/modules/cjs/loader.js:528:25)
    0|MagicMir |     at Module.require (internal/modules/cjs/loader.js:658:17)
    0|MagicMir |     at require (internal/modules/cjs/helpers.js:20:18)
    0|MagicMir |     at Object. (/home/pi/MagicMirror/modules/MMM-ImagesPhotos/node_helper.js:9:18)
    0|MagicMir |     at Object. (/home/pi/MagicMirror/modules/MMM-ImagesPhotos/node_helper.js:82:3)
    0|MagicMir |     at Module._compile (internal/modules/cjs/loader.js:711:30)
    0|MagicMir |     at Object.Module._extensions..js (internal/modules/cjs/loader.js:722:10)
    0|MagicMir |     at Module.load (internal/modules/cjs/loader.js:620:32)
    0|MagicMir | Whoops! There was an uncaught exception...
    0|MagicMir | { Error: Cannot find module 'node_helper'
    0|MagicMir |     at Module._resolveFilename (internal/modules/cjs/loader.js:602:15)
    0|MagicMir |     at Function.Module._resolveFilename (/home/pi/MagicMirror/node_modules/electron/dist/resources/electron.asar/common/reset-search-paths.js:35:12)
    0|MagicMir |     at Function.Module._load (internal/modules/cjs/loader.js:528:25)
    0|MagicMir |     at Module.require (internal/modules/cjs/loader.js:658:17)
    0|MagicMir |     at require (internal/modules/cjs/helpers.js:20:18)
    0|MagicMir |     at Object. (/home/pi/MagicMirror/modules/MMM-ImagesPhotos/node_helper.js:9:18)
    0|MagicMir |     at Object. (/home/pi/MagicMirror/modules/MMM-ImagesPhotos/node_helper.js:82:3)
    0|MagicMir |     at Module._compile (internal/modules/cjs/loader.js:711:30)
    0|MagicMir |     at Object.Module._extensions..js (internal/modules/cjs/loader.js:722:10)
    0|MagicMir |     at Module.load (internal/modules/cjs/loader.js:620:32) code: 'MODULE_NOT_FOUND' }